PHP(ピー・エイチ・ピー)

【PHP7】「preg_replace」じゃなく「preg_replace_callback」を使いましょう!?

PHP5.6からPHP7.0へのバージョンアップでエラー

あるサーバでの話です。

 

今までPHPのバージョンが5.6だったのですが、

この度、PHP7を使用出来るようになりました。

 

で、折角なので、PHP7にバージョンアップしてみました。

 

まず、WordPressでは問題は発生せず、OK!!

 

ただ、

オリジナルで組んでいるシステムで、

こんなエラーが!!!

Warning: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead in /xxxx/xxxx/xxxx/xxxx/smarty/libs/Smarty_Compiler.class.php on line 269

「preg_replace」じゃなく「preg_replace_callback」を使いましょう。。。

 

ということなんですが、

この機会に、「Smarty」を最新版に入れ替えることで、

この問題も解決です!!

 

あとは、

お問合せフォームも問題なく動作したので、

これでバージョンアップは完了です!!

0
この記事を書いている人
株式会社ディープ

名前ダッチ

メールアドレスadachi@deep-deep.jp

Twitterはこちら >>

  • コメント: 0

関連記事

コメント

  • コメント (0)

  • トラックバックは利用できません。

  1. この記事へのコメントはありません。

最近の記事

  1. サーバー
  2. リマーケッター
  3. 不動産会社向けのWordPressテーマ
  4. レンタルサーバ:おすすめの共用サーバ
  5. ホームページを活用
  6. Perl(パール)
  7. Perl(パール)
  8. ホームページを活用
  9. データ転送
  10. サーバ
ConoHa WING 2周年キャンペーン中

Twitter

ダッチ@職業ブロガー兼プログラマー
@gatsu0000

アーカイブ

PAGE TOP